#ifndef MMCCOLLECTIONAREACALC_H
#define MMCCOLLECTIONAREACALC_H

#ifndef MTASK_H
#include "MTask.h"
#endif

class MParList;
class MMcEvt;
class MMcTrig;
class MHMcCollectionArea;

class MMcCollectionAreaCalc : public MTask
{
private:
    MMcEvt  *fMcEvt;
    MMcTrig *fMcTrig;

    MHMcCollectionArea *fCollArea;

public:
    MMcCollectionAreaCalc(const char *name=NULL, const char *title=NULL);

    Bool_t PreProcess(MParList *pList);
    Bool_t Process() ;
    Bool_t PostProcess() ;

    ClassDef(MMcCollectionAreaCalc, 0) // Task to calculate the collection area histogram
};

#endif 

